using BarContracts.BindingModels;
using BarContracts.SearchModels;
using BarContracts.ViewModels;

namespace BarContracts.StoragesContracts
{
    public interface IMessageInfoStorage
    {
        List<MessageInfoViewModel> GetFullList();

        List<MessageInfoViewModel> GetFilteredList(MessageInfoSearchModel Model);

        MessageInfoViewModel? GetElement(MessageInfoSearchModel Model);

        MessageInfoViewModel? Insert(MessageInfoBindingModel Model);
    }
}
